Page MenuHomePhabricator

Change "save" to "publish" in all messages in the TwoColConflict interface
Closed, ResolvedPublic1 Story Points

Description

Almost all "Save" buttons have been relabeled to say "Publish" with T131132: Re-label the "Save" button to be "Publish", to better indicate to users the outcomes of their action. Two-Column-Edit-Conflict-Merge should do the same, I believe.

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptAug 16 2018, 11:04 AM

Change 453108 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Change "save" to "publish" everywhere

https://gerrit.wikimedia.org/r/453108

Volker_E moved this task from Incoming to WMDE on the Design board.Aug 20 2018, 6:12 PM

Change 453108 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Change "save" to "publish" everywhere

https://gerrit.wikimedia.org/r/453108

WMDE-Fisch set the point value for this task to 1.
WMDE-Fisch moved this task from Sprint Backlog to Demo on the WMDE-QWERTY-Sprint-2018-08-14 board.

We realized later that we might need to respect the $wgEditSubmitButtonLabelPublish setting in some (probably not all) of the situations changed in the patch above.

so this is not ready to demo yet, then is it?

thiemowmde triaged this task as Low priority.Aug 23 2018, 10:22 AM
thiemowmde removed a project: Patch-For-Review.
thiemowmde moved this task from Doing to Demo on the WMDE-QWERTY-Sprint-2018-08-14 board.

I reviewed again what we have in our extension-specific https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/TwoColConflict/+/refs/heads/master/i18n/en.json. The word "publish" appears a few times, but always in the middle of a sentence. It would be terrible if we would have to duplicate all these messages. Core does this in a few situations, but this is very rare, and typically only done for button labels. For TwoColConflict I suggest to stick to "publish" for now.

However, we can probably avoid both "save" and "publish" in a few messages by rewording them to say "something was edited", for example.

The only exception is the "Simulate publish changes" button, which is – well – only for the simulation special page. The real page uses the original button, which already correctly says "Save" or "Publish" depending on the configuration. As above, I don't think it's worth it fiddling with this temporary special page.

Lea_WMDE closed this task as Resolved.Aug 23 2018, 3:36 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-08-14 board.